@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;1,300;1,400;1,500;1,600;1,700;1,800&display=swap');

*{ 
	box-sizing: border-box;
	margin:0;
	padding:0;
	font-family: 'Open Sans', sans-serif;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}

html {
	scroll-behavior: smooth;
  }

body {
	margin: 0;
	font-size: 1rem; /*texto responsive*/	
	overflow: scroll;
	/*scrollbar-base-color: darkturquoise;*/
  }

  .container {
    max-width: 100rem;
  }

p{
	/*font-size: 18px; tamaño letra p*/
	font-weight: lighter;
	font-display: swap;
}

h1{
  font-size: 7vh;/*5vw*/
}

h1,h2,h3,h4,h5,h6{
	color: var(--titleColor);	
	font-display: swap;
}  

h2, h3, h4,h5, h6{
  font-size: 5vh; /*3vw (ancho) o vh (alto)*/
}

.linea{
  height: 2px;
  width: 7%;
  background-color: black;
  margin-left: 46%;
}

.linea0{
	height: 2px;
	width: 7%;
	background-color: white;
	margin-left: 46%;
}

.linea1{
  height: 2px;
  width: 7%;
  background-color: black;
  margin-left: 1%;
}


/*menú principal*/


/*PARALLAX*/

.parallax1{
	width: 100%;
	height: 100vh;
	background-image: url('../img/soldadura\ de\ estructuras\ 1.webp');
  background-image: linear-gradient(rgba(0, 0, 0, 0.9));
	background-position: center;
	background-size: cover;
	background-repeat: no-repeat;
	background-attachment: fixed;
	display: flex;
	justify-content: center;
	align-items: center;
	
	-webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
 }

 @media screen and (max-width:768px){
  .parallax1{
    height: 80vh;
    }
	}

 .texto-parallax1{
	color: white; 
	text-align: center;
 }

  #parallax-inicio {
  text-shadow: 6px 4px 4px black; /*derecha abajo opacidad*/
 }


 /**SERVICIOS*/
.services{
  background-color: #93999E;
}

.services1{
  background-color: #f7800f;
}
 /*SERVICIOS*/

 /*TESTIMONIOS*/
 .white-heading{
  color: #ffffff;
}

.heading span {
  font-size: 18px;
  display: block;
  font-weight: 500;
}

.white-heading span {
  color: #ffffff;
}


/*COMIENZA AQUÍ GALERÍA DE PRODUCTOS*/
.btn-abrir-popup{
	opacity:  .9;
	border: none;
}

.btn-abrir-popup:hover{
	opacity:1;
}

@media screen and (max-width:768px){
	.btn-abrir-popup:hover{
		opacity: 0.9;
	}
}

/*pop up*/
@media screen and (max-width:768px){ /*TAMAÑO DE LOS TÍTULOS H2 POP UP*/
	#popup-title{
		font-size: 3vh;
	}
}
	.overlay{
		position: fixed;
		top: 0;
		bottom: 0;
		left: 0;
		right: 0;
		display: flex;
		align-items: center;
		justify-content: center;
		visibility: hidden;
		opacity: 0;
		transition: all 600ms;
		z-index: 7000;
    overflow: scroll;
    overflow-y: visible;
    padding-top: 12%;
	}

  @media screen and (max-width: 768px){  
    .overlay{
      padding-top: 50%;
    }
    .popup{
      width: 100%; /*Opcional, se puede quitar*/
    }
  }

	.overlay:target{
		background: rgba(0, 0, 0, .8);
		visibility: visible;
		opacity: 1;
	}

	.popup{
		background: rgb(211, 211, 211);
		border-radius: 10px;
		position: relative;
		padding: 10px;
		text-align: center;
		width: 1000px; 
		transition: .3 ease all;
		transform: scale(0.7);		
	}

	.popup .btn-cerrar-popup{
		font-size: 30px;
		width: 60px;
		height: 60px;
		position: absolute;
		right: -20px;
		top: -20px;
		padding: 17px;
		background: #154360;
		color: white;
		border-radius: 50%;
		line-height: 10px;
		transition: 0.3s ease all;
	}

	.popup .btn-cerrar-popup:hover{
		color: rgb(227, 243, 253);
	}

	.popup .product1{
		width: 60%;
		background-size: cover;
		background-position: center;
	}

	.popup .btn{
		padding: 10px auto;
		line-height: 52px;
		font-size: 18px;
		text-align: center;
		justify-content: center;
		background: whitesmoke;

	}

	.popup .btn-contacto{
		padding: 0 20px;
		cursor: pointer;
		transition: .3s ease all;
	}
  
  @keyframes fadeIn {
	from {opacity: 0;}
	to {opacity:1 ;}
  }

  /*tablas*/
  table {
    width: 100%;    
    border-spacing: 1px;
 }

 th, td {
    width: 25%;    
   border: 1px solid #93999E;
 }

 .m{
  background: #93999E;
}

 .mm{
   background: #b6b7b8;
 }

 /*botón de contacto pop up*/
 #contacto-pop{
   color: #154360;
 }

  /*prueba carrusel*/
 .equipo{
	margin-left: auto;
	margin-right: auto;
	text-align: left;
 }

/*-----Testimonial-------*/

/*.testimonial:after {
    position: absolute;
    top: -0 !important;
    left: 0;
    content: " ";
    background: url('//img/ingenieria\ civil.jpeg');
    background-size: 100% 100px;
    width: 100%;
    height: 100px;
    float: left;
    z-index: 99;
}*/

.testimonial {
    min-height: 375px;
    position: relative;
    padding-top: 50px;
    padding-bottom: 50px;
    background-position: center;
    background-size: cover;
}

#testimonial4 .carousel-inner:hover{
  cursor: -moz-grab;
  cursor: -webkit-grab;
}

#testimonial4 .carousel-inner:active{
  cursor: -moz-grabbing;
  cursor: -webkit-grabbing;
}

#testimonial4 .carousel-inner .item{
  overflow: hidden;  
	margin-left: auto;
	margin-right: auto;
	text-align: left;
}

.testimonial4_indicators .carousel-indicators{
  left: 0;
  margin: 0;
  width: 100%;
  font-size: 0;
  height: 20px;
  bottom: 15px;
  padding: 0; /*0 5 px*/
  cursor: e-resize;
  overflow-x: auto;
  overflow-y: hidden;
  position: absolute;
  text-align: center;
  white-space: nowrap;
}

.testimonial4_indicators .carousel-indicators li{
  padding: 0;
  width: 14px;
  height: 14px;
  border: none;
  text-indent: 0;
  margin: 2px 3px;
  cursor: pointer;
  display: inline-block;
  background: black;
  -webkit-border-radius: 100%;
  border-radius: 100%;
}

.testimonial4_indicators .carousel-indicators .active{
  padding: 0;
  width: 14px;
  height: 14px;
  border: none;
  margin: 2px 3px;
  background-color: red;
  -webkit-border-radius: 100%;
  border-radius: 100%;
}

.testimonial4_indicators .carousel-indicators::-webkit-scrollbar{
  height: 3px;
}

.testimonial4_indicators .carousel-indicators::-webkit-scrollbar-thumb{
  background: #000000;
  -webkit-border-radius: 0;
  border-radius: 0;
}

.testimonial4_control_button .carousel-control{
  top: 175px;
  opacity: 1;
  width: 20px; /*antes 40px*/
  bottom: auto;
  height: 40px;
  font-size: 10px;
  cursor: pointer;
  font-weight: 700;
  overflow: hidden;
  line-height: 38px;
  text-shadow: none;
  text-align: center;
  position: absolute;
  background: transparent;
  border: 2px solid #000000;
  text-transform: uppercase;
  -webkit-border-radius: 100%;
  border-radius: 100%;
  -webkit-box-shadow: none;
  box-shadow: none;
  -webkit-transition: all 0.6s cubic-bezier(0.3,1,0,1);
  transition: all 0.6s cubic-bezier(0.3,1,0,1);
}

.testimonial4_control_button .carousel-control.left{
  left: 7%;
  top: 50%;
  right: auto;
}

.testimonial4_control_button .carousel-control.right{
  right: 7%;
  top: 50%;
  left: auto;
}
.testimonial4_control_button .carousel-control.left:hover,
.testimonial4_control_button .carousel-control.right:hover{
  color: #000;
  background: rgb(0, 0, 0);
  border: 2px solid rgb(0, 0, 0);
}

.testimonial4_header{
  top: 0;
  left: 0;
  bottom: 0;
  width: 550px;
  display: block;
  margin: 30px auto;
  text-align: center;
  position: relative;
}

.testimonial4_slide{
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  width: 70%;
  margin: auto;
  padding: 5px;
  position: relative;
  text-align: center; 
}

@media screen and (max-width: 768px){  
  .testimonial4_slide{
    width: 80%;
  }
}

.testimonial4_slide img {
    top: 0;
    left: 0;
    right: 0;
    margin: auto;
    display: block;
    font-size: 18px;
    line-height: 46px;
    text-align: center;
    position: relative;
    box-shadow: -6px 6px 6px rgba(0, 0, 0, 0.23);
    -moz-box-shadow: -6px 6px 6px rgba(0, 0, 0, 0.23);
    -o-box-shadow: -6px 6px 6px rgba(0, 0, 0, 0.23);
    -webkit-box-shadow: -6px 6px 6px rgba(0, 0, 0, 0.23);
}

.testimonial .carousel {
	padding-bottom:50px;
}
.testimonial .carousel-control-next-icon, .testimonial .carousel-control-prev-icon {
    width: 35px;
    height: 35px;
    background-color: rgb(124, 124, 124); /*fondo iconos sliders*/
    border-radius: 50%;
}
/* ------testimonial  close-------*/

/*CLIENTES*/
 /*CLIENTES*/
 #clientes{
	padding-top: 50px;
}

	 /*slider clientes*/
@media (min-width: 768px) {
	.carousel-multi-item-2 .col-md-3 {
	float: left;
	width: 25%;
	max-width: 100%; } }
	
	.carousel-multi-item-2 .card img {
	border-radius: 2px; }
/*CLIENTES*/

/*WHATSAPP*/
/*WHATSAPP*/
.appWhatsapp{
	position: fixed;
	right: 100px;
	bottom: 100px;
	width: 2em;
	filter: drop-shadow(5px 5px 10px #000000);
	z-index: 3000;
  }


@media (max-width: 767px){
	.appWhatsapp{
		right: 60px;
		bottom: 50px;
		z-index: 3000;
	  }	  
	  
	#appWhatsapp{
		width: 150%;
	  }
}

@media (min-width: 768px){ /*ESTE PUNTO DE RUPTURA EVITA QUE EN LOS TAMAÑOS +768PX SE DESBORDE*/
	.appWhatsapp{
		right: 60px;
		bottom: 50px;
		z-index: 3000;
	  }	  
	  
	#appWhatsapp{
		width: 150%;
	  }
}

@media (max-width: 360px){
	.appWhatsapp{
		right: 40px;
		bottom: 50px;
		z-index: 3000;
	  }
	  
   	#appWhatsapp{
		width: 150%;
      }
}

/*MAPS*/
.map-responsive{
  overflow:hidden;
  padding-bottom: 40%;
  position:relative;
  height:0;
}

.map-responsive iframe{
  left:0;
  top:0;
  height:100%;
  width:100%;
  position:absolute;
}
/*MAPS*/


/*INGENIERÍA*/
.inge{
  color: black;
  justify-content: center;
  align-items: center;
  font-weight: 300;
}
/*INGENIERÍA*/

/*CONTACTO*/
#span-contacto{
  letter-spacing: 0.5;
}